package com.ai.ipu.example.db.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author liutong3
 * @team IPU
 * @date 2019/10/16 17:16
 * @desc ipu_db_demo表的dto
 */
public class IpuDbDemoDto {
    private int pk;

    private String string_type;

    private int int_type;

    private BigDecimal decimal_type;

    private Date date_type;

    private Date datetime_type;

    private String null_type;

    public void setPk(int pk) {
        this.pk = pk;
    }

    public void setString_type(String string_type) {
        this.string_type = string_type;
    }

    public void setInt_type(int int_type) {
        this.int_type = int_type;
    }

    public void setDecimal_type(BigDecimal decimal_type) {
        this.decimal_type = decimal_type;
    }

    public void setDate_type(Date date_type) {
        this.date_type = date_type;
    }

    public void setDatetime_type(Date datetime_type) {
        this.datetime_type = datetime_type;
    }

    public void setNull_type(String null_type) {
        this.null_type = null_type;
    }

    public int getPk() {
        return pk;
    }

    public String getString_type() {
        return string_type;
    }

    public int getInt_type() {
        return int_type;
    }

    public BigDecimal getDecimal_type() {
        return decimal_type;
    }

    public Date getDate_type() {
        return date_type;
    }

    public Date getDatetime_type() {
        return datetime_type;
    }

    public String getNull_type() {
        return null_type;
    }

    @Override
    public String toString() {
        StringBuilder stringBuilder = new StringBuilder("{")
                .append("pk").append(":").append(pk).append(",")
                .append("string_type").append(":").append(string_type).append(",")
                .append("int_type").append(":").append(int_type).append(",")
                .append("decimal_type").append(":").append(decimal_type).append(",")
                .append("date_type").append(":").append(date_type).append(",")
                .append("datetime_type").append(":").append(datetime_type).append(",")
                .append("null_type").append(":").append(null_type)
                .append("}");
        return stringBuilder.toString();
    }
}
