package com.ai.ipu.example.db.mgmt;

import java.util.List;
import java.util.Map;

import org.junit.Test;

import com.ai.ipu.data.JMap;
import com.ai.ipu.data.impl.JsonMap;
import com.ai.ipu.sql.mgmt.ISqlMgmtDao;
import com.ai.ipu.sql.mgmt.SqlMgmtDaoFactory;

public class SqlMgmtDaoExample {
    private String connName = "db_druid";

    @Test
    public void testExecuteSelect() {
        try{
            JMap params = new JsonMap();
            ISqlMgmtDao dao = SqlMgmtDaoFactory.createFileSqlMgmtDao(connName);
            List<Map<String, Object>> dataResult = dao.executeSelect("com.ai.ipu.ipu-db-demo.ipu-db-demo","select", params);
            System.out.println(dataResult);
        }catch(Exception e){
            e.printStackTrace();
        }
        
    }
}
