package com.ai.ipu.example.kafka;

import com.ai.aif.msgframe.common.IConsumerProcessor;
import com.ai.aif.msgframe.common.exception.ConsumerException;
import com.ai.aif.msgframe.common.message.MsgFMessage;
import com.ai.aif.msgframe.common.message.MsgFTextMessage;

/**
 * @author liutong3
 * @team IPU
 * @date 2019/6/6 14:59
 * @desc kafka消费者
 */
public class KafkaCustomerExample implements IConsumerProcessor {
    @SuppressWarnings("rawtypes")
    public Object process(MsgFMessage message) throws ConsumerException {
        if (message instanceof MsgFTextMessage) {
            System.out.println("{topic:" + message.getTopic() + ",value:" + ((MsgFTextMessage) message).getText() + "}");
        }
        return true;
    }
}
