package com.ai.ipu.example.db.dao;

import java.util.List;
import java.util.Map;

import org.junit.Test;

import com.ai.ipu.database.conn.SqlSessionManager;
import com.ai.ipu.database.dao.IpuDaoManager;
import com.ai.ipu.database.dao.impl.SqlDao;

/**
 * @author huangbo@asiainfo.com
 * @team IPU
 * @date 2019年10月12日下午5:40:57
 * @desc 基于SQL的数据库操作
 */
public class SqlDaoExample {
    private String connName = "db_druid";
    private String tableName = "ipu_db_demo";
    
    /**
     * 测试无参数的DQL语句
     */
    @Test
    public void testExecuteSelect() throws Exception{
        try{
            SqlDao dao = IpuDaoManager.takeDao(SqlDao.class, connName);
            String sql = "select * from " + tableName;
            List<Map<String, Object>>  result = dao.executeSelect(sql);
            System.out.println("查询结果：" + result);
        }catch(Exception e){
            System.err.println("查询失败：" + e.getMessage());
            e.printStackTrace();
        }finally{
            SqlSessionManager.closeAll();
        }
    }
    
    @Test
    public void testExecuteInsert() throws Exception{}
    
    @Test
    public void testExecuteUpdate() throws Exception{}
    
    @Test
    public void testExecuteDelete() throws Exception{}
}
