package com.ai.ipu.example.spark;

import com.ai.ipu.basic.file.ResourceBundleUtil;

/**
 * 类描述
 *
 * @author lilb3@asiainfo.com
 * @since 2019-07-01 15:36
 **/
public class SparkConfig {
    private static final String CONFIG_FILE_PATH = "spark";
    /*Spark集群*/
    private static String sparkMaster;
    /*Hadoop地址*/
    private static String hdfsUri;
    /*测试文件*/
    private static String testFileName;

    public static String getSparkMaster() {
        return sparkMaster;
    }

    public static String getHdfsUri() {
        return hdfsUri;
    }

    public static String getTestFileName() {
        return testFileName;
    }

    /*加载配置文件*/
    static {
        try {
            ResourceBundleUtil.initialize(CONFIG_FILE_PATH, SparkConfig.class);
        } catch (Exception e) {
            System.out.println(CONFIG_FILE_PATH + "配置文件读取失败" + e);
        }
    }
}
